Skip to content

Resources and Images ​

Digital human resources use the asset system. Upload or register avatar video, authorization video or audio, then reuse the returned asset_id in tasks.

Upload Image media assets ​

http
POST /v1/assets/uploads
bash
curl https://moonnexai.com/v1/assets/uploads \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://example.com/avatar.mp4",
    "purpose": "digital_human_avatar",
    "metadata": {
      "name": "brand-host-avatar"
    }
  }'

Upload Authorisation media assets ​

bash
curl https://moonnexai.com/v1/assets/uploads \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://example.com/authorization.mp4",
    "purpose": "digital_human_authorization"
  }'

Query media assets ​

bash
curl https://moonnexai.com/v1/assets/asset_xxx \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>"

Reference in task ​

json
{
  "model": "digital-human-video-v8",
  "avatar_asset_id": "asset_avatar_xxx",
  "audio_url": "https://example.com/audio.mp3",
  "name": "brand-host-video"
}

Asset://asset_xxx can also be used as a resource reference to facilitate the distinction between common URLs and MoonNexAI media assets in the business system.

Common field ​

fieldAnnotations
urlAn accessable media assets URL.
purposemedia assets uses, e.g. digital_human_avatar, digital_human_voice, digital_human_authorization.
asset_idmedia assets ID returned after uploading or registering.
metadataOptional business metadata.

Relevant Pages ​